package cn.com.qmth.examcloud.exchange.inner.service.bean;


import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ShortMessageInfo implements Serializable {

	private static final long serialVersionUID = 6234229280391013286L;

	/**
	 * 接受短信的手机号
	 */
	private String phone;

	/**
	 * 发送次数
	 */
	private Integer times;

	/**
	 * 最后一次消息
	 */
	private String lastMessage;

	/**
	 * 发送时间
	 */
	private List<Date> sendTimeList = new ArrayList<Date>();

	/**
	 * 创建时间
	 */
	private Date creationTime;

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public Integer getTimes() {
		return times;
	}

	public void setTimes(Integer times) {
		this.times = times;
	}

	public String getLastMessage() {
		return lastMessage;
	}

	public void setLastMessage(String lastMessage) {
		this.lastMessage = lastMessage;
	}

	public List<Date> getSendTimeList() {
		return sendTimeList;
	}

	public void setSendTimeList(List<Date> sendTimeList) {
		this.sendTimeList = sendTimeList;
	}

	public Date getCreationTime() {
		return creationTime;
	}

	public void setCreationTime(Date creationTime) {
		this.creationTime = creationTime;
	}

}
