package cn.com.qmth.examcloud.exchange.outer.api;

import cn.com.qmth.examcloud.api.commons.EnterpriseService;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterGetExamReq;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterSaveExamReq;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterGetExamResp;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterSaveExamResp;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年6月29日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface ExamOuterService extends EnterpriseService {

	/**
	 * 保存考试
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	OuterSaveExamResp saveExam(OuterSaveExamReq req);

	/**
	 * 查询考试
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	OuterGetExamResp getExam(OuterGetExamReq req);

}
