package cn.com.qmth.examcloud.exchange.outer.api;

import java.util.List;
import java.util.Map;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.commons.CommonsMultipartFile;

import cn.com.qmth.examcloud.api.commons.EnterpriseService;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年9月4日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface FaceOuterService extends EnterpriseService {

	void addPhotoByUrl(@RequestParam Long rootOrgId, @RequestParam String identityNumber,
			@RequestParam String photoUrl, @RequestParam String operator);

	void addPhoto(Long rootOrgId, String identityNumber, String operator,
			CommonsMultipartFile file);

	List<Map<String, String>> importPhotos(Long rootOrgId, String operator,
			CommonsMultipartFile file);

}
