package cn.com.qmth.examcloud.exchange.outer.api.request;

import java.util.List;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseRequest;
import cn.com.qmth.examcloud.exchange.outer.api.bean.ExamStudent4BatchBean;
import io.swagger.annotations.ApiModelProperty;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2019年1月8日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class OuterBatchSaveExamStudentReq extends EnterpriseRequest {

	private static final long serialVersionUID = 9086274932441194883L;

	@ApiModelProperty(value = "顶级机构", example = "0", required = true)
	private Long rootOrgId;

	@ApiModelProperty(value = "考试ID", example = "100", required = false)
	private Long examId;

	@ApiModelProperty(value = "考试名称", example = "2018年秋季入学考试", required = true)
	private String examName;

	@ApiModelProperty(value = "考生集合", example = "", required = true)
	List<ExamStudent4BatchBean> examStudentList;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public List<ExamStudent4BatchBean> getExamStudentList() {
		return examStudentList;
	}

	public void setExamStudentList(List<ExamStudent4BatchBean> examStudentList) {
		this.examStudentList = examStudentList;
	}

}
