package cn.com.qmth.examcloud.exchange.outer.api;

import cn.com.qmth.examcloud.api.commons.EnterpriseService;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterBatchSaveStudentReq;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterSaveStudentReq;
import cn.com.qmth.examcloud.exchange.outer.api.response.BatchOuterSaveStudentResp;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterSaveStudentResp;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年6月29日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface StudentOuterService extends EnterpriseService {

	OuterSaveStudentResp saveStudent(OuterSaveStudentReq req);

	/**
	 * 批量创建学生
	 * @param req
	 * @return
	 */
	BatchOuterSaveStudentResp batchSaveStudent(OuterBatchSaveStudentReq req);
	
}
