package cn.com.qmth.examcloud.exchange.outer.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseRequest;
import io.swagger.annotations.ApiModelProperty;


/**
 * 
 * @author  	chenken
 * @date    	2018年11月16日 下午3:12:02
 * @company 	QMTH
 * @description 删除队列请求
 */
public class OuterDeleteScoreQueueTopReq extends EnterpriseRequest{

	/**
	 * 
	 */
	private static final long serialVersionUID = 6340573640799250911L;
	
	@ApiModelProperty(value = "顶级机构ID", example = "1", required = true)
	private Long rootOrgId;
	
	@ApiModelProperty(value = "队列ID", example = "1", required = true)
	private Long queueId;

	public Long getQueueId() {
		return queueId;
	}

	public void setQueueId(Long queueId) {
		this.queueId = queueId;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}
	
}
