package cn.com.qmth.examcloud.exchange.outer.api.response;

import java.util.Date;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseResponse;
import io.swagger.annotations.ApiModelProperty;

/**
 * 
 * @author  	chenken
 * @date    	2018年11月16日 下午2:38:13
 * @company 	QMTH
 * @description 审核信息返回
 */
public class OuterGetExamRecordAuditInfoResp extends EnterpriseResponse{

	/**
	 * 
	 */
	private static final long serialVersionUID = 6067030714515530914L;
	
	@ApiModelProperty(value = "考试记录ID", example = "1", required = true)
	private Long examRecordDataId;
	
	@ApiModelProperty(value = "违纪类型", example = "指定动作失败", required = true)
	private String disciplineType;
	
	@ApiModelProperty(value = "审核说明", example = "2018-10-17 18:15:01:动作有误,验证失败", required = true)
	private String disciplineDetail;

	@ApiModelProperty(value = "审核人", example = "admin", required = true)
	private String auditUserName;
	
	@ApiModelProperty(value = "审核时间", example = "2018-01-01 10:00:00", required = true)
	private Date creationTime;
	
	@ApiModelProperty(value = "是否违纪(0:未违纪,1:违纪),", example = "0", required = true)
	private Integer isDiscipline;

	public Long getExamRecordDataId() {
		return examRecordDataId;
	}

	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}

	public String getDisciplineType() {
		return disciplineType;
	}

	public void setDisciplineType(String disciplineType) {
		this.disciplineType = disciplineType;
	}

	public String getDisciplineDetail() {
		return disciplineDetail;
	}

	public void setDisciplineDetail(String disciplineDetail) {
		this.disciplineDetail = disciplineDetail;
	}

	public String getAuditUserName() {
		return auditUserName;
	}

	public void setAuditUserName(String auditUserName) {
		this.auditUserName = auditUserName;
	}

	public Date getCreationTime() {
		return creationTime;
	}

	public void setCreationTime(Date creationTime) {
		this.creationTime = creationTime;
	}

	public Integer getIsDiscipline() {
		return isDiscipline;
	}

	public void setIsDiscipline(Integer isDiscipline) {
		this.isDiscipline = isDiscipline;
	}
	
}
