package cn.com.qmth.examcloud.exchange.outer.api.response;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseResponse;
import io.swagger.annotations.ApiModelProperty;

/**
 * 
 * @author  	chenken
 * @date    	2018年11月16日 下午3:08:14
 * @company 	QMTH
 * @description 成绩队列返回信息
 */
public class OuterGetScoreQueueTopResp extends EnterpriseResponse{

	/**
	 * 
	 */
	private static final long serialVersionUID = -2874809807909407199L;
	
	@ApiModelProperty(value = "队列ID", example = "1", required = true)
	private Long queueId;
	
	@ApiModelProperty(value = "考试记录ID", example = "1", required = true)
	private Long examRecordDataId;
	
	@ApiModelProperty(value = "考试ID", example = "1", required = true)
	private Long examId;
	
	@ApiModelProperty(value = "考试编码", example = "1", required = true)
	private String examCode;
	
	@ApiModelProperty(value = "考试名称", example = "1", required = true)
	private String examName;
	@ApiModelProperty(value = "对象数据是否为空", example = "true", required = true)
	private Boolean isEmpty;

	public Long getQueueId() {
		return queueId;
	}

	public void setQueueId(Long queueId) {
		this.queueId = queueId;
	}

	public Long getExamRecordDataId() {
		return examRecordDataId;
	}

	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getExamCode() {
		return examCode;
	}

	public void setExamCode(String examCode) {
		this.examCode = examCode;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public Boolean getIsEmpty() {
		return isEmpty;
	}

	public void setIsEmpty(Boolean isEmpty) {
		this.isEmpty = isEmpty;
	}
	
}
