package cn.com.qmth.examcloud.exchange.outer.api.response;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseResponse;
import io.swagger.annotations.ApiModelProperty;

public class OuterSaveStudentResp extends EnterpriseResponse {

	private static final long serialVersionUID = 2523302124132923363L;

	@ApiModelProperty(value = "学生ID", example = "100", required = true)
	private Long studentId;

	@ApiModelProperty(value = "顶级机构ID", example = "0", required = true)
	private Long rootOrgId;

	@ApiModelProperty(value = "学习中心ID", example = "1", required = true)
	private Long orgId;

	@ApiModelProperty(value = "学习中心编码", example = "LC111111", required = true)
	private String orgName;

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

}
